Skip to main content
GET
/
api
/
v2
/
search_engines
/
{hashid}
/
indices
/
{name}
/
items
/
Scroll index
curl --request GET \
  --url https://{search_zone}-api.doofinder.com/api/v2/search_engines/{hashid}/indices/{name}/items/ \
  --header 'Authorization: <api-key>'
{
  "total": 567,
  "scroll_id": 1234,
  "items": [
    {
      "title": "Item Title",
      "link": "http://www.example.com/img/1234.png",
      "id": "1234",
      "df_manual_boost": 1,
      "categories": [
        "cat1",
        "cat2"
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Doofinder API key. Pass it as: Authorization: Token <api_key>

Path Parameters

hashid
string
required

Unique id of a search engine.

Pattern: ^[a-f0-9]{32}$
name
string
required

Name of an index.

Pattern: ^[a-z][a-z0-9_]*$

Query Parameters

scroll_id
string

Unique identifier for the scroll. The scroll saves a "pointer" to the last fetched page so each successive request to the same scroll_id return a new page.

rpp
integer
default:100

Results per page. How many items are fetched per page/request with a maximum of 100.

Required range: 1 <= x <= 100
use_full_index
boolean
default:false

Use full index. If true, the full index name will be used instead of the alias. Usually used so the out of stock items are included.

group_id
string

Item variant group identifier. Useful param to filter by a specific variant.

Response

Scroller retrieved.

A scroller traverses all indexed items. It works like a pointer or pager. The first request initializes the scroller and returns the scroller id with the first page of items. Subsequent requests for the same scroller id will return more results. Notice that the scroller works with an snapshot of the index so, if you initialize a scroller and update an item later, those changes will not be reflected in the scroller. Scrollers have an expiry time of 5 minutes.

total
integer

Total number of items fetched by the Scroller.

scroll_id
string

Unique identifier for the Scroller. The id should be provided for traversing all items.

items
Item · object[]
read-only

List of items.